My Project: dht::FieldValue Class Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dht::FieldValue Class Reference

Describes a value filter. More...

`#include <value.h>`

## Public Member Functions
| FieldValue (Value::Field f, uint64_t int_value)
| FieldValue (Value::Field f, InfoHash hash_value)
| FieldValue (Value::Field f, Blob blob_value)
bool | operator== (const FieldValue &fd) const
Value::Field | getField () const
uint64_t | getInt () const
InfoHash | getHash () const
Blob | getBlob () const
template<typename Packer>
void | msgpack_pack (Packer &p) const
void | msgpack_unpack (const msgpack::object &msg)
Value::Filter | getLocalFilter () const

## Detailed Description

Describes a value filter.

This structure holds the value for a specified field. It's type can either be uint64_t, InfoHash or Blob.

Definition at line 696 of file value.h.

## Constructor & Destructor Documentation

## ◆ FieldValue() [1/4]

dht::FieldValue::FieldValue | ( |  | ) |
| inline

Definition at line 698 of file value.h.

## ◆ FieldValue() [2/4]

dht::FieldValue::FieldValue | ( | Value::Field | f,
|  | uint64_t | int_value )
| inline

Definition at line 699 of file value.h.

## ◆ FieldValue() [3/4]

dht::FieldValue::FieldValue | ( | Value::Field | f,
|  | InfoHash | hash_value )
| inline

Definition at line 703 of file value.h.

## ◆ FieldValue() [4/4]

dht::FieldValue::FieldValue | ( | Value::Field | f,
|  | Blob | blob_value )
| inline

Definition at line 707 of file value.h.

## Member Function Documentation

## ◆ getBlob()

Blob dht::FieldValue::getBlob | ( |  | ) | const
| inline

Definition at line 718 of file value.h.

## ◆ getField()

Value::Field dht::FieldValue::getField | ( |  | ) | const
| inline

Definition at line 715 of file value.h.

## ◆ getHash()

InfoHash dht::FieldValue::getHash | ( |  | ) | const
| inline

Definition at line 717 of file value.h.

## ◆ getInt()

uint64_t dht::FieldValue::getInt | ( |  | ) | const
| inline

Definition at line 716 of file value.h.

## ◆ msgpack_pack()

template<typename Packer>

void dht::FieldValue::msgpack_pack | ( | Packer & | p | ) | const
| inline

Definition at line 721 of file value.h.

## ◆ msgpack_unpack()

void dht::FieldValue::msgpack_unpack | ( | const msgpack::object & | msg | ) |
| inline

Definition at line 745 of file value.h.

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/value.h